Subject: [quicwg/base-drafts] 66fb29: Why min CWND of 2 instead of 1

From: Martin Thomson <[email-masked]>
Date: Wed, 06 May 2020 00:13:32 -0700

Branch: refs/heads/forgery-limit
  Home:   https://github.com/quicwg/base-drafts
  Commit: 66fb2929883fc076683392c81be00c2b6936ad82
      https://github.com/quicwg/base-drafts/commit/66fb2929883fc076683392c81be00c2b6936ad82
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Why min CWND of 2 instead of 1

Feel free to suggest better text or other reasons, but this is what I came up with.

Fixes #3261

  Commit: 6d95aa65d4366e6474de8b61f964e99ffd9a996b
      https://github.com/quicwg/base-drafts/commit/6d95aa65d4366e6474de8b61f964e99ffd9a996b
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 1225aad461e601e2cfec4e354a8b34704f633f81
      https://github.com/quicwg/base-drafts/commit/1225aad461e601e2cfec4e354a8b34704f633f81
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: d214bfdcdc246bc0955acf834fc64c3d463ab2d6
      https://github.com/quicwg/base-drafts/commit/d214bfdcdc246bc0955acf834fc64c3d463ab2d6
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ce6ab3402520ed0931bafed333a3ab3cddf73903
      https://github.com/quicwg/base-drafts/commit/ce6ab3402520ed0931bafed333a3ab3cddf73903
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 5580b7a57d7fa5f1585f598751f9930b4480c01a
      https://github.com/quicwg/base-drafts/commit/5580b7a57d7fa5f1585f598751f9930b4480c01a
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 72c7eced88de7b859edf4d1f093277851433ab8a
      https://github.com/quicwg/base-drafts/commit/72c7eced88de7b859edf4d1f093277851433ab8a
  Author: ianswett <[email-masked]>
  Date:   2020-04-21 (Tue, 21 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: b41c848f281bda976192136c6281185808c5e021
      https://github.com/quicwg/base-drafts/commit/b41c848f281bda976192136c6281185808c5e021
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Define the use of generic TLS alerts

This was already permitted by the transport document, but it was not
adequately explained.  The example that tripped us up was ALPN, which
has received a bit of attention here.

Closes #3580.

  Commit: 475242d0c9ca9e32113c90859748c7adf577fdfc
      https://github.com/quicwg/base-drafts/commit/475242d0c9ca9e32113c90859748c7adf577fdfc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Tweaks from review

  Commit: cb3e9a4961fffdba7493a77b0db2d73f63f072ca
      https://github.com/quicwg/base-drafts/commit/cb3e9a4961fffdba7493a77b0db2d73f63f072ca
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify anti-deadlock Handshake PTO

This is what the pseudocode says, but I couldn't find anywhere in the text that clarified that if there were no ack-eliciting packets to arm PTO from, use Now().

  Commit: 05c12786fd19607933556d87eb28bfe1111b6c27
      https://github.com/quicwg/base-drafts/commit/05c12786fd19607933556d87eb28bfe1111b6c27
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: eac517cfa6e3e58dd1caf817ee2218513204b905
      https://github.com/quicwg/base-drafts/commit/eac517cfa6e3e58dd1caf817ee2218513204b905
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 8e68ce6266e405fd56b90753737d641be8e7ba50
      https://github.com/quicwg/base-drafts/commit/8e68ce6266e405fd56b90753737d641be8e7ba50
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  DPLPMTUD fixes

A few minor tweaks based on review of the latest DPLPMTUD draft.

If I never have to type DPLPMTUD ever again, I'll be happy.

Closes #3217.

  Commit: cef47aeb28cab88c401968cc4039f6d262e0a7db
      https://github.com/quicwg/base-drafts/commit/cef47aeb28cab88c401968cc4039f6d262e0a7db
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update pseudocode to not arm PTO..

For ApplicationData until the handshake is complete.

  Commit: f53564576b1aac2aeb58abaf12e63c7b6c9ee91c
      https://github.com/quicwg/base-drafts/commit/f53564576b1aac2aeb58abaf12e63c7b6c9ee91c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove trailing spaces

  Commit: d9ed15b2424498cfc8f593392e0971b92d75524f
      https://github.com/quicwg/base-drafts/commit/d9ed15b2424498cfc8f593392e0971b92d75524f
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 2c874dc1c477a7d8f07d5ad232251c73069f0a97
      https://github.com/quicwg/base-drafts/commit/2c874dc1c477a7d8f07d5ad232251c73069f0a97
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  More explicit 'probe for the MTU'

  Commit: 5fd61877c43e2f7c4788f084c177aa658a1fed46
      https://github.com/quicwg/base-drafts/commit/5fd61877c43e2f7c4788f084c177aa658a1fed46
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Scrub for backticks

This doesn't do qpack because qpack is weird and needs a lot more work.

The places where I kept backticks are for the inline formulae that were
used for the reserved codepoints.  That seemed like it was worth quoting
somehow still.  I also kept backticks for references to variables in
examples.

However, this last principle really hurts in qpack and I don't know what
to do about that.

Closes #3609 (we'll need another issue for qpack).

  Commit: cb6d26caf615a6fd3e036cc54ac1b881fc6504fd
      https://github.com/quicwg/base-drafts/commit/cb6d26caf615a6fd3e036cc54ac1b881fc6504fd
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Helpful tweak to existing text

  Commit: 3b2a284675735e2be6b8fe97d977f12ce7df57d2
      https://github.com/quicwg/base-drafts/commit/3b2a284675735e2be6b8fe97d977f12ce7df57d2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Use a list for TLS contributors too

  Commit: cedaac6a30fc82ff2c946af54e13dbb8924aa3fd
      https://github.com/quicwg/base-drafts/commit/cedaac6a30fc82ff2c946af54e13dbb8924aa3fd
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Bullet points, now that we can

  Commit: 87df8ee7dba9a546a6f8b1ae118eb1d520de55df
      https://github.com/quicwg/base-drafts/commit/87df8ee7dba9a546a6f8b1ae118eb1d520de55df
  Author: Julian Reschke <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  recovery: fix broken reference to TLS, "Discarding Initial Keys"

  Commit: 266084226a089ee1df00ebc796e045b0c6418a46
      https://github.com/quicwg/base-drafts/commit/266084226a089ee1df00ebc796e045b0c6418a46
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Quoting in recovery

This fixes some of the quoting issues that I discovered reading the
spec.

  Commit: f39b1b711e1934b77984de0d9d1120396c214592
      https://github.com/quicwg/base-drafts/commit/f39b1b711e1934b77984de0d9d1120396c214592
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Use Section not section

  Commit: a81e74f3a94c44735f38a943d8ad242d6e5adbed
      https://github.com/quicwg/base-drafts/commit/a81e74f3a94c44735f38a943d8ad242d6e5adbed
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Improve description of 'l'

  Commit: b192a052bf006dc2689ea526cc80746ab409aff1
      https://github.com/quicwg/base-drafts/commit/b192a052bf006dc2689ea526cc80746ab409aff1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3606 from quicwg/dplpmtudtdtd

DPLPMTUD fixes

  Commit: dee37615ffed31ac9ff2cd9061ca0e79f866a0ee
      https://github.com/quicwg/base-drafts/commit/dee37615ffed31ac9ff2cd9061ca0e79f866a0ee
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3611 from quicwg/transport/contributor_bullets

Bullet points in Transport Contributors

  Commit: d50128221a55d34c05069d4aadd6e2a726e1c9ba
      https://github.com/quicwg/base-drafts/commit/d50128221a55d34c05069d4aadd6e2a726e1c9ba
  Author: ianswett <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3604 from quicwg/ianswett-pto-handshake-complete

Update pseudocode to not arm PTO..

  Commit: 7c19197ca32011ba80fdfbdb12ce330133fe6bde
      https://github.com/quicwg/base-drafts/commit/7c19197ca32011ba80fdfbdb12ce330133fe6bde
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-04 (Mon, 04 May 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3621 from quicwg/list-tls-contribs

Use a list for TLS contributors too

  Commit: 66d56893377e52727d620ceb305cd33dc97b3381
      https://github.com/quicwg/base-drafts/commit/66d56893377e52727d620ceb305cd33dc97b3381
  Author: ianswett <[email-masked]>
  Date:   2020-05-04 (Mon, 04 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3618 from reschke/patch-28

recovery: fix broken reference to TLS, "Discarding Initial Keys"

  Commit: fd1142b09af589b871fb7b84745c7e4c03e80f22
      https://github.com/quicwg/base-drafts/commit/fd1142b09af589b871fb7b84745c7e4c03e80f22
  Author: Bence Béky <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  [HTTP/3] Merge two redundant paragraphs on frame ordering.

  Commit: 6da585a501ddb3a451b1905db42165402dfc3d27
      https://github.com/quicwg/base-drafts/commit/6da585a501ddb3a451b1905db42165402dfc3d27
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3617 from quicwg/backticks

Scrub for backticks

  Commit: 6a1ea10afffb0c1b8047596bc0198619522969c9
      https://github.com/quicwg/base-drafts/commit/6a1ea10afffb0c1b8047596bc0198619522969c9
  Author: Mike Bishop <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Initial Contributors

  Commit: 1e67d0fb1c81085c81ab5812621111608d824cdf
      https://github.com/quicwg/base-drafts/commit/1e67d0fb1c81085c81ab5812621111608d824cdf
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: b32ab8c350ac15b92b520f7a3b15f7415b22083b
      https://github.com/quicwg/base-drafts/commit/b32ab8c350ac15b92b520f7a3b15f7415b22083b
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: c6a32d20a9d9a05779076434da2884773cf8aefe
      https://github.com/quicwg/base-drafts/commit/c6a32d20a9d9a05779076434da2884773cf8aefe
  Author: Lucas Pardue <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  editorial advice for h2<->h3 error propagation (#3602)

* editorial advice for h2<->h3 error propagation

* Mike's feedback: invert the advice

  Commit: a09979ec646c0bad69f079fb78ed5c8dd1084899
      https://github.com/quicwg/base-drafts/commit/a09979ec646c0bad69f079fb78ed5c8dd1084899
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3603 from quicwg/ianswett-deadlock-handshake-pto

Clarify anti-deadlock Handshake PTO

  Commit: 58a2fbbc75252ee3c8503ead31e5146e5f74349b
      https://github.com/quicwg/base-drafts/commit/58a2fbbc75252ee3c8503ead31e5146e5f74349b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3601 from quicwg/alpn-generic

Define the use of generic TLS alerts

  Commit: b270451746cc6ae9655ceb30281de6bf6bbdb628
      https://github.com/quicwg/base-drafts/commit/b270451746cc6ae9655ceb30281de6bf6bbdb628
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 9f773931b7c57a232ef9a9814fb664832eb7436e
      https://github.com/quicwg/base-drafts/commit/9f773931b7c57a232ef9a9814fb664832eb7436e
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: c5b9e72880734f6e9e54bcbbd0339d72bdded5bc
      https://github.com/quicwg/base-drafts/commit/c5b9e72880734f6e9e54bcbbd0339d72bdded5bc
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 9a69f882ff119ab34608b3a750ddc7f4639f3ec1
      https://github.com/quicwg/base-drafts/commit/9a69f882ff119ab34608b3a750ddc7f4639f3ec1
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 1f66975cd3f9cdc5c0fae57376f59177701d8d97
      https://github.com/quicwg/base-drafts/commit/1f66975cd3f9cdc5c0fae57376f59177701d8d97
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3586 from quicwg/ianswett-min-cwnd

Why min CWND of 2 instead of 1

  Commit: 4e9c4ee480862086ae05778160b23c5b27f09f04
      https://github.com/quicwg/base-drafts/commit/4e9c4ee480862086ae05778160b23c5b27f09f04
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3629 from quicwg/section-ref-titlecase

Use Section not section

  Commit: 6c90af6ebd271f09f740ad49c396ffd38dc72076
      https://github.com/quicwg/base-drafts/commit/6c90af6ebd271f09f740ad49c396ffd38dc72076
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3628 from quicwg/recovery-quoting

Quoting in recovery

  Commit: 5efe1df7db38536d6b9e2153e5ecb52dacb1105a
      https://github.com/quicwg/base-drafts/commit/5efe1df7db38536d6b9e2153e5ecb52dacb1105a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into forgery-limit

Compare: https://github.com/quicwg/base-drafts/compare/f94409a03ddd...5efe1df7db38